<template>
    <Base activeIndex="2">
    </Base>
    <div class="container">
        <el-card class="box-card">
            <template #header>
                <div class="card-header">
                    <h1>{{ this.topic }}</h1>
                    <p>状态：<span style="color:green">{{ this.status }}</span></p>
                </div>
            </template>
            <div class="main">
                <el-row class="status">
                    <el-col :span="2">德育分: {{ score }}</el-col>
                    <el-col :span="6" :offset="2">活动人数: {{ sign_up }}/{{ nums }}</el-col>
                    <el-col :span="8" :offset="5">活动时间: {{ stime }}~{{ etime }}</el-col>
                </el-row>
                <el-row>
                    <h2>活动内容:</h2>
                </el-row>
                <div class="content">
                    {{ this.content }}
                </div>
                <el-button type="success" class="submitBtn" @click="submit"
                    :disabled="this.sign_up>=this.nums||this.status!='未报名'">
                    报名活动</el-button>
            </div>
        </el-card>
    </div>
</template>

<script>
import Base from "./Base.vue"
import axios from "axios"
import global from "./Common.vue"
function getQueryVariable(variable) {
    var query = window.location.search.substring(1);
    var vars = query.split("&");
    for (var i = 0; i < vars.length; i++) {
        var pair = vars[i].split("=");
        if (pair[0] == variable) { return decodeURI(pair[1]); }
    }
    return (false);
};
export default {
    name: "Activity",
    data() {
        return {
            aid: getQueryVariable("id"),
            topic: "",
            stime: "",
            etime: "",
            academy: "",
            score: 5,
            nums: 100,
            sign_up: 5,
            content: "",
            status: "",
            ip:global.ip
        }
    },
    components: {
        Base
    },
    created() {
        let token=localStorage.getItem('token');
        axios({
            method: "POST",
            url:"http://"+this.ip+"/api/browse/details/"+this.aid,
            headers: { Authorization: `Bearer: ${token}` }
        }).then((res) => {
            console.log(res);
            if (res.data.code == '00') {
                this.aid = res.data.activity.id;
                this.topic = res.data.activity.topic;
                this.score = res.data.activity.score;
                this.stime = res.data.activity.startTime;
                this.etime = res.data.activity.endTime;
                this.academy = res.data.activity.academy;
                this.sign_up = res.data.activity.parti_num;
                this.nums = res.data.activity.maximum;
                this.content = res.data.activity.content;
                let states = ['未报名','未审核','正在审核','审核成功','审核失败']
                console.log(res.data.activity.state)
                this.status = states[res.data.activity.state+1]
            }

        })
    },
    methods: {
        submit() {
            let token=localStorage.getItem('token');
            axios({
                method:"POST",
                data:{
                    activity_id:getQueryVariable("id")
                },
                url:"http://"+this.ip+"/api/manage/signup",
                headers: { Authorization: `Bearer: ${token}` }
            }).then((res)=>{
                console.log(res)
                if(res.data.code != '00'){
                    alert(res.data.msg)
                }
                window.location.replace("http://" + global.ip_front + "/activities_detailed")
            })
        }
    }
}
</script>

<style scoped>
a {
    text-decoration: none;
    color: white;
}

.container {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgb(238, 241, 246);
}

.main {
    position: relative;
    width: 80%;
    background-color: rgb(255, 255, 255);
    left: 180px;
}

.card-header {
    justify-content: space-between;
    align-items: center;
}

.box-card {
    position: relative;
    width: 90%;
    height: 80%;
    top: 70px;
    left: 70px;
}

.status {
    font-size: large;
    font-weight: bold;
    margin: 10px;
}

.content {
    text-align: left;
    text-indent: 2em;
}

.apply {
    size: 100px;
}

/deep/ .submitBtn {
    position: relative;
    width: 130px;
    height: 50px;
    font-size: 20px;
    top: 50px;
}
</style>